> ## Name

> cgGetFirstEffectAnnotation - get the first annotation in an effect

> ## Synopsis

>     #include <Cg/cg.h>

>     CGannotation cgGetFirstEffectAnnotation( CGeffect effect );

> ## Parameters

> effect
>   The effect from which to retrieve the first annotation.

> ## Return Values

> Returns the first annotation in an effect.

> Returns NULL if the effect has no annotations.

> ## Description

> The first annotation associated with an effect can be retrieved using cgGetFirstEffectAnnotation. The rest of the effect's annotations can be discovered by iterating through them using cgGetNextAnnotation.

> ## Examples

>     CGannotation ann = cgGetFirstEffectAnnotation( effect );
>     while( ann )
>     {
>        /* do something with ann */
>        ann = cgGetNextAnnotation( ann );
>     }

> ## Errors

> CG_INVALID_EFFECT_HANDLE_ERROR is generated if effect is not a valid effect.

> ## History

> cgGetFirstEffectAnnotation was introduced in Cg 1.5.

> ## See Also

> cgGetNamedEffectAnnotation, cgGetNextAnnotation